<?php

namespace Drupal\null_user;

use Drupal\Core\Session\AccountInterface;

class NullUser implements AccountInterface {

  /**
   * {@inheritdoc}
   */
  public function id() {}

  /**
   * {@inheritdoc}
   */
  public function getRoles($exclude_locked_roles = FALSE) {
    return [];
  }

  /**
   * {@inheritdoc}
   */
  public function hasPermission($permission) {
    return FALSE;
  }

  /**
   * {@inheritdoc}
   */
  public function isAuthenticated() {
    return FALSE;
  }

  /**
   * {@inheritdoc}
   */
  public function isAnonymous() {
    return TRUE;
  }

  /**
   * {@inheritdoc}
   */
  public function getPreferredLangcode($fallback_to_default = TRUE) {}

  /**
   * {@inheritdoc}
   */
  public function getPreferredAdminLangcode($fallback_to_default = TRUE) {}

  /**
   * {@inheritdoc}
   */
  public function getUsername() {}

  /**
   * {@inheritdoc}
   */
  public function getAccountName() {}

  /**
   * {@inheritdoc}
   */
  public function getDisplayName() {}

  /**
   * {@inheritdoc}
   */
  public function getEmail() {}

  /**
   * {@inheritdoc}
   */
  public function getTimeZone() {}

  /**
   * {@inheritdoc}
   */
  public function getLastAccessedTime() {}

}
